Debian Bug report logs - #552905
paw: FTBFS: bugrep.c:446: error: 'L_cuserid' undeclared (first use in this function)

version graph

Package: src:paw; Maintainer for src:paw is Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Thu, 29 Oct 2009 05:13:10 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version paw/1:2.14.04.dfsg.2-6

Fixed in versions 1:2.14.04.dfsg.2-6+rm, paw/1:2.14.04.dfsg.2-7

Done: Lifeng Sun <lifongsun@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Kevin B. McCarty <kmccarty@debian.org>:
Bug#552905; Package src:paw. (Thu, 29 Oct 2009 05:13:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Kevin B. McCarty <kmccarty@debian.org>. (Thu, 29 Oct 2009 05:13:14 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: paw: FTBFS: bugrep.c:446: error: 'L_cuserid' undeclared (first use in this function)
Date: Wed, 28 Oct 2009 11:41:57 +0100
Source: paw
Version: 1:2.14.04.dfsg.2-6
Severity: serious
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20091028 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> gcc bugrep.c
> /build/user-paw_2.14.04.dfsg.2-6-amd64-n1s8MK/paw-2.14.04.dfsg.2/src/pawlib/paw/cpaw/bugrep.c: In function 'br_mail_file':
> /build/user-paw_2.14.04.dfsg.2-6-amd64-n1s8MK/paw-2.14.04.dfsg.2/src/pawlib/paw/cpaw/bugrep.c:446: error: 'L_cuserid' undeclared (first use in this function)
> /build/user-paw_2.14.04.dfsg.2-6-amd64-n1s8MK/paw-2.14.04.dfsg.2/src/pawlib/paw/cpaw/bugrep.c:446: error: (Each undeclared identifier is reported only once
> /build/user-paw_2.14.04.dfsg.2-6-amd64-n1s8MK/paw-2.14.04.dfsg.2/src/pawlib/paw/cpaw/bugrep.c:446: error: for each function it appears in.)
> Failing command: gcc -g -c -O3    -I/build/user-paw_2.14.04.dfsg.2-6-amd64-n1s8MK/paw-2.14.04.dfsg.2/build/pawlib/paw -I/build/user-paw_2.14.04.dfsg.2-6-amd64-n1s8MK/paw-2.14.04.dfsg.2/src/pawlib/paw -I/build/user-paw_2.14.04.dfsg.2-6-amd64-n1s8MK/paw-2.14.04.dfsg.2/src/pawlib/paw/cpaw -I/build/user-paw_2.14.04.dfsg.2-6-amd64-n1s8MK/paw-2.14.04.dfsg.2/src/include    -DgFortran -DFUNCPROTO=15    -DCERNLIB_LINUX -DCERNLIB_UNIX -DCERNLIB_LNX 				-DCERNLIB_QMGLIBC -DCERNLIB_QMLXIA64                                 -DCERNLIB_VERBOSE -DCERNLIB_DEBIAN -DDEBIAN_VERSION=\"1:2.14.04.dfsg.2-6\" -DCERNLIB_GFORTRAN /build/user-paw_2.14.04.dfsg.2-6-amd64-n1s8MK/paw-2.14.04.dfsg.2/src/pawlib/paw/cpaw/bugrep.c -o archive/bugrep.o
> make[5]: *** [archive/bugrep.o] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2009/10/28/paw_1:2.14.04.dfsg.2-6_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Kevin B. McCarty <kmccarty@debian.org>:
Bug#552905; Package src:paw. (Thu, 29 Oct 2009 15:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Kevin B. McCarty" <kmccarty@debian.org>:
Extra info received and forwarded to list. Copy sent to Kevin B. McCarty <kmccarty@debian.org>. (Thu, 29 Oct 2009 15:39:10 GMT) Full text and rfc822 format available.

Message #10 received at 552905@bugs.debian.org (full text, mbox):

From: "Kevin B. McCarty" <kmccarty@debian.org>
To: 552905@bugs.debian.org, 552852@bugs.debian.org, Francois Niedercorn <francois.niedercorn2@laposte.net>
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: A couple bug reports in Paw and Mn_Fit
Date: Thu, 29 Oct 2009 07:50:47 -0700
I've orphaned these packages and am afraid I have no time to look into
these FTBFS bugs.  Francois, if you are intending to pick up paw
and/or mn-fit, you might want to check into them (bugs 552905 against
paw and 552852 against mn-fit).  Seems like a recent change in libc
headers has broken some things?

best regards,

-- 
Kevin B. McCarty <kmccarty@gmail.com>
WWW: http://www.starplot.org/
WWW: http://people.debian.org/~kmccarty/
GPG: public key ID 4F83C751




Information forwarded to debian-bugs-dist@lists.debian.org, Kevin B. McCarty <kmccarty@debian.org>:
Bug#552905; Package src:paw. (Fri, 30 Oct 2009 11:21:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Francois Niedercorn <francois.niedercorn2@laposte.net>:
Extra info received and forwarded to list. Copy sent to Kevin B. McCarty <kmccarty@debian.org>. (Fri, 30 Oct 2009 11:21:21 GMT) Full text and rfc822 format available.

Message #15 received at 552905@bugs.debian.org (full text, mbox):

From: Francois Niedercorn <francois.niedercorn2@laposte.net>
To: "Kevin B. McCarty" <kmccarty@debian.org>
Cc: 552905@bugs.debian.org, 552852@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: Re: A couple bug reports in Paw and Mn_Fit
Date: Fri, 30 Oct 2009 11:09:55 +0100
Hi,

I will work on it tonight :-)

best regards,

Francois




Information forwarded to debian-bugs-dist@lists.debian.org, Kevin B. McCarty <kmccarty@debian.org>:
Bug#552905; Package src:paw. (Fri, 30 Oct 2009 11:39:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to "francois.niedercorn2@laposte.net" <francois.niedercorn2@laposte.net>:
Extra info received and forwarded to list. Copy sent to Kevin B. McCarty <kmccarty@debian.org>. (Fri, 30 Oct 2009 11:39:36 GMT) Full text and rfc822 format available.

Message #20 received at 552905@bugs.debian.org (full text, mbox):

From: "francois.niedercorn2@laposte.net" <francois.niedercorn2@laposte.net>
To: kmccarty@gmail.com, 552905@bugs.debian.org, 552852@bugs.debian.org
Cc: lucas@lucas-nussbaum.net
Subject: Re : A couple bug reports in Paw and Mn_Fit
Date: Fri, 30 Oct 2009 09:36:29 +0100 (CET)
Hi,

I will work on it tonight :-) 

best regards,

Francois

---------------------------------------------------------------------------- 
Laposte.net fête ses 10 ans ! 

Gratuite, garantie à vie et déjà utilisée par des millions d'internautes... 
vous aussi, pour votre adresse e-mail, choisissez laposte.net. 

Laposte.net, bien + qu'une messagerie 
----------------------------------------------------------------------------





Added tag(s) sid and squeeze. Request was from Gerfried Fuchs <rhonda@deb.at> to control@bugs.debian.org. (Sun, 24 Jan 2010 21:06:31 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Kevin B. McCarty <kmccarty@debian.org>:
Bug#552905; Package src:paw. (Tue, 02 Feb 2010 23:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Davide Mancusi <arekfu@yahoo.it>:
Extra info received and forwarded to list. Copy sent to Kevin B. McCarty <kmccarty@debian.org>. (Tue, 02 Feb 2010 23:24:06 GMT) Full text and rfc822 format available.

Message #27 received at 552905@bugs.debian.org (full text, mbox):

From: Davide Mancusi <arekfu@yahoo.it>
To: 552905@bugs.debian.org
Subject: patch
Date: Wed, 3 Feb 2010 00:02:30 +0100
[Message part 1 (text/plain, inline)]
	The attached patch fixes compilation. Should be applied to the
package root (touches debian/patches).

Cheers,
Davide

-- 
Time flies like an arrow.  Fruit flies like a banana.
--
If anything can go wrong it wSegmentation fault
core dumped
[paw_meta.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Kevin B. McCarty <kmccarty@debian.org>:
Bug#552905; Package src:paw. (Sun, 04 Apr 2010 04:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Kevin B. McCarty <kmccarty@debian.org>. (Sun, 04 Apr 2010 04:18:03 GMT) Full text and rfc822 format available.

Message #32 received at 552905@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 552905@bugs.debian.org
Subject: Re: paw: FTBFS: bugrep.c:446: error: 'L_cuserid' undeclared (first use in this function)
Date: Sat, 3 Apr 2010 21:04:53 -0700
The proposed patch is incorrect; L_cuserid is a system define that needs to
be pulled in, we shouldn't be redeclaring a constant here in the source. 
The correct fix is to pass "LOCAL_DEFINES += -D_GNU_SOURCE" in debian/rules.

However, even after adding this define, the package still FTBFS later with
this error:

make[4]: Entering directory `/home/devel/canonical/lucid/paw-2.14.04.dfsg.2/build/paw_motif/code'
make[4]: *** No rule to make target `archive/objects.list'.  Stop.
make[4]: Leaving directory `/home/devel/canonical/lucid/paw-2.14.04.dfsg.2/build/paw_motif/code'
make[3]: *** [code/archive/objects.list] Error 2
make[3]: Leaving directory `/home/devel/canonical/lucid/paw-2.14.04.dfsg.2/build/paw_motif'
make[2]: *** [cernlib-libraries] Error 2

Looks like we're failing to get output for one of the imakefiles, maybe?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, Kevin B. McCarty <kmccarty@debian.org>:
Bug#552905; Package src:paw. (Wed, 01 Sep 2010 16:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Kevin B. McCarty <kmccarty@debian.org>. (Wed, 01 Sep 2010 16:48:04 GMT) Full text and rfc822 format available.

Message #37 received at 552905@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: "Kevin B. McCarty" <kmccarty@debian.org>, 508495@bugs.debian.org, Francois Niedercorn <francois.niedercorn2@laposte.net>, debian-science@lists.debian.org
Cc: 552905@bugs.debian.org
Subject: Re: Bug#508495: RFA: paw -- Physics Analysis Workstation - a graphical analysis program
Date: Wed, 1 Sep 2010 18:44:51 +0200
[Message part 1 (text/plain, inline)]
On Thu, Dec 11, 2008 at 12:19:34 -0800, Kevin B. McCarty wrote:

> Package: wnpp
> Severity: normal
> 
> RFA'ing paw along with Cernlib, please see #508413 for details.
> 

On Fri, Oct 30, 2009 at 11:05:32 +0100, Francois Niedercorn wrote:

> retitle 508495 ITA: paw
> thanks
> 
> Hi,
> 
> I intend to adopt paw package, and plan to set debian science as
> comaintainers.
> 
Has anything happened with this?  paw has an FTBFS bug open for a while,
and the cernlib-related packages appear to still be orphaned?

If people want this in squeeze now's high time to step up, otherwise
I'll have to get these packages out of testing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:03:38 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 06 Mar 2011 00:27:30 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sun, 06 Mar 2011 00:27:30 GMT) Full text and rfc822 format available.

Message #44 received at 552905-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 218810-done@bugs.debian.org,374978-done@bugs.debian.org,552905-done@bugs.debian.org,
Cc: paw@packages.debian.org, paw@packages.qa.debian.org
Subject: Bug#508495: Removed package(s) from unstable
Date: Sun, 06 Mar 2011 00:24:30 +0000
Version: 1:2.14.04.dfsg.2-6+rm

Dear submitter,

as the package paw has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/508495

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Reply sent to Lifeng Sun <lifongsun@gmail.com>:
You have taken responsibility. (Sat, 02 Apr 2011 07:15:09 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 02 Apr 2011 07:15:10 GMT) Full text and rfc822 format available.

Message #49 received at 552905-done@bugs.debian.org (full text, mbox):

From: Lifeng Sun <lifongsun@gmail.com>
To: 552905-done@bugs.debian.org
Subject: Bug#552905: fixed in paw 1:2.14.04.dfsg.2-7
Date: Sat, 2 Apr 2011 15:10:42 +0800
Source: paw
Source-Version: 1:2.14.04.dfsg.2-7

Fix by passing LOCAL_DEFINES += -D_GNU_SOURCE in debian/rules. Thanks
Steve Langasek <vorlon@debian.org>.


- Lifeng

-- 




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 May 2011 07:32:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:09:49 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.